# Update an expense Update an expense. Admin and bookkeeper have access to any expense, and regular users can only access their own. Endpoint: PUT /v1/expenses/card/{expense_id} Version: 0.1 Security: OAuth2 ## Path parameters: - `expense_id` (string, required) ## Request fields (application/json): - `memo` (string,null) Expense memo. ## Response 200 fields (application/json): - `id` (string, required) Unique ID associated with the expense. - `memo` (string,null) The memo of the expense. - `location_id` (string,null) - `department_id` (string,null) - `updated_at` (string, required) The last time the expense was updated. - `category` (string,null) The category of expenses. Enum: "ADVERTISING_AND_MARKETING", "GROCERY", "TELEPHONY", "OFFICE_SUPPLIES", "PRIVATE_AIR_TRAVEL", "CLOTHING", "CAR_RENTAL", "VEHICLE_EXPENSES", "RESTAURANTS", "GAMBLING", "FLOWERS", "ELECTRONICS", "LEGAL_SERVICES", "UTILITIES", "FURNITURE", "BARS_AND_NIGHTLIFE", "LAUNDRY", "EVENT_EXPENSES", "SHIPPING", "OTHER_TRAVEL_EXPENSES", "CHARITY", "SOFTWARE_NON_RECURRING", "LODGING", "FACILITIES_EXPENSES", "SERVERS", "CONFERENCES", "FOOD_DELIVERY", "RENT", "AIRLINE_EXPENSES", "OTHER_BUSINESS_EXPENSES", "BANK_AND_FINANCIAL_FEES", "BOOKS_AND_NEWSPAPERS", "CONSULTANT_AND_CONTRACTOR", "CORPORATE_INSURANCE", "DIGITAL_GOODS", "FEES_AND_LICENSES_AND_TAXES", "GAS_AND_FUEL", "GENERAL_MERCHANDISE", "MEDICAL", "MEMBERSHIPS_AND_CLUBS", "PARKING_EXPENSES", "POLITICAL_DONATIONS", "PUBLIC_TRANSPORTATION", "RECURRING_SOFTWARE_AND_SAAS", "RIDESHARE_AND_TAXI", "TOLL_AND_BRIDGE_FEES", "TRAINING_AND_EDUCATION", "TRAVEL_WIFI" - `merchant_id` (string,null) - `budget_id` (string,null) - `original_amount` (object,null) Money fields can be signed or unsigned. Fields are signed (an unsigned value will be interpreted as positive). The amount of money will be represented in the smallest denomination of the currency indicated. For example, USD 7.00 will be represented in cents with an amount of 700. - `original_amount.amount` (integer, required) The amount of money, in the smallest denomination of the currency indicated by currency. For example, when currency is USD, amount is in cents. Example: 700 - `original_amount.currency` (string,null) The type of currency, in ISO 4217 format. Example: "USD" - `billing_amount` (object,null) Money fields can be signed or unsigned. Fields are signed (an unsigned value will be interpreted as positive). The amount of money will be represented in the smallest denomination of the currency indicated. For example, USD 7.00 will be represented in cents with an amount of 700. - `purchased_at` (string,null) The time the purchase was made. - `status` (string,null) Enum: "DRAFT", "SUBMITTED", "APPROVED", "OUT_OF_POLICY", "VOID", "CANCELED", "SPLIT", "SETTLED" - `payment_status` (string,null) Enum: "NOT_STARTED", "PROCESSING", "CANCELED", "DECLINED", "CLEARED", "REFUNDING", "REFUNDED", "CASH_ADVANCE", "CREDITED", "AWAITING_PAYMENT", "SCHEDULED" ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields